Issue 127119 - configure does not check all Perl modules that are used at build time
Summary: configure does not check all Perl modules that are used at build time
Status: RESOLVED FIXED
Alias: None
Product: Build Tools
Classification: Code
Component: configure (show other issues)
Version: 4.2.0-dev
Hardware: All All
: P5 (lowest) Normal (vote)
Target Milestone: ---
Assignee: Ariel Constenla-Haile
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-17 18:47 UTC by Ariel Constenla-Haile
Modified: 2016-12-03 10:58 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
Latest Confirmation in: ---
Developer Difficulty: ---
pats: 4.1.3_release_blocker+


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Ariel Constenla-Haile 2016-09-17 18:47:59 UTC
Configure does not check all the Perl modules that are actually used at build time, some Perl scripts are failing due to missing Perl modules.

Some modules that are not checked:

Digest::SHA
Digest::MD5
Crypt::SSLeay
LWP::Protocol::https
Comment 1 SVN Robot 2016-09-18 07:30:19 UTC
"arielch" committed SVN revision 1761303 into branches/AOO413:
i127119 - Check all Perl modules in configure
Comment 2 Ariel Constenla-Haile 2016-09-18 08:13:47 UTC
(In reply to Ariel Constenla-Haile from comment #0)
> Some modules that are not checked:
> 
[...]
> Crypt::SSLeay

This one might be needed on older systems where LWP::Protocol::https is part of the libwww-perl distribution, see http://cpansearch.perl.org/src/ETHER/libwww-perl-6.15/README.SSL

I added some notes on https://wiki.openoffice.org/wiki/Documentation/Building_Guide_AOO#General_Build_Requirements
Comment 3 SVN Robot 2016-12-03 10:58:28 UTC
"arielch" committed SVN revision 1772453 into trunk:
i127119 - Check all Perl modules in configure